Package com.sas.lsaf.core.action

## Class ActionStatus

- java.lang.Object
- - com.sas.lsaf.core.action.ActionStatus

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ActionStatus
      extends java.lang.Object
      implements java.io.Serializable

  ActionStatus contains information about the results of a batch operation. It has a completion status and summary message as well as a status for each entry acted upon.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ActionStatus.CompletionStatus` | Describes the completion status of either the overall action or an individual action status detail.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActionStatus​(ActionStatus.CompletionStatus completionStatus, java.lang.String completionMessage)` | Initializing constructor which sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCompletionMessage()` | Get the completion summary message describing the outcome of the batch operation.
    `ActionStatus.CompletionStatus` | `getCompletionStatus()` | Get the completion status enum value indicating the most severe outcome (ERROR) encountered during the batch operation
    `java.util.List<ActionStatusDetail>` | `getDetails()` | Get the detail status entries for all items acted on
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionStatus

          public ActionStatus​(ActionStatus.CompletionStatus completionStatus,
                              java.lang.String completionMessage)

      Initializing constructor which sets the values of all variables. It is not intended for consumers of the API to construct these objects directly, rather retrieve them from batch service calls.
      Parameters:
        `completionStatus` - the completion status enum value indicating the most severe outcome (ERROR) encountered during the batch operation
        `completionMessage` - the completion summary message describing the outcome of the batch operation.

  - ### Method Detail

    - #### getCompletionStatus

          public ActionStatus.CompletionStatus getCompletionStatus()

      Get the completion status enum value indicating the most severe outcome (ERROR) encountered during the batch operation
      Returns:
        CompletionStatus completionStatus

    - #### getCompletionMessage

          public java.lang.String getCompletionMessage()

      Get the completion summary message describing the outcome of the batch operation.
      Returns:
        String completionMessage The completion summary message describing the outcome of the batch operation.

    - #### getDetails

          public java.util.List<ActionStatusDetail> getDetails()

      Get the detail status entries for all items acted on
      Returns:
        List of detail status entries

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`